=== modified file 'tests/test_shelf.py'
--- tests/test_shelf.py	2008-10-08 17:35:41 +0000
+++ tests/test_shelf.py	2008-10-08 17:41:49 +0000
@@ -176,12 +176,13 @@
         tree.lock_write()
         self.addCleanup(tree.unlock)
         tree.add('foo', 'foo-id')
-        creator = prepare_shelf.ShelfCreator(tree, tree.basis_tree())
+        creator = shelf.ShelfCreator(tree, tree.basis_tree())
+        self.addCleanup(creator.finalize)
         list(creator)
         creator.shelve_creation('foo-id')
         creator.transform()
         filename = creator.write_shelf()
-        unshelver = prepare_shelf.Unshelver.from_tree_and_shelf(tree, filename)
+        unshelver = shelf.Unshelver.from_tree_and_shelf(tree, filename)
         unshelver.unshelve()
         self.assertFileEqual('bar', 'tree/foo')
 
@@ -190,8 +191,9 @@
         tree.lock_write()
         self.addCleanup(tree.unlock)
         tree.commit('rev1', rev_id='rev1')
-        creator = prepare_shelf.ShelfCreator(tree, tree.basis_tree())
+        creator = shelf.ShelfCreator(tree, tree.basis_tree())
+        self.addCleanup(creator.finalize)
         filename = creator.write_shelf()
         tree.commit('rev2', rev_id='rev2')
-        unshelver = prepare_shelf.Unshelver.from_tree_and_shelf(tree, filename)
+        unshelver = shelf.Unshelver.from_tree_and_shelf(tree, filename)
         self.assertEqual('rev1', unshelver.base_tree.get_revision_id())

